<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.nexo</groupId>
    <artifactId>nexo-common-bom</artifactId>
    <version>1.8.2</version>
    <packaging>pom</packaging>

    <description>
        nexo-common-bom common依赖项
    </description>

    <dependencyManagement>
        <dependencies>
            <!-- 核心模块 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-core</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- 接口模块 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-doc</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- 安全模块 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-security</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-satoken</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- 日志记录 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-log</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- 字典 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-dict</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- excel -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-excel</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- 缓存服务 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-redis</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- web服务 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-web</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- 数据库服务 -->
            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-mybatis</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-job</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-dubbo</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-seata</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-loadbalancer</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-oss</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-idempotent</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-mail</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-sms</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-logstash</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-elasticsearch</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-sentinel</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-skylog</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-prometheus</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-translation</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.nexo</groupId>
                <artifactId>nexo-common-encrypt</artifactId>
                <version>${project.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>
</project>
